import http from "@/api/http.js";
/* 权益小程序管理 报告模块*/
const raiReport = {
  //报告精选 公司点击详情
  reportSelectionHistory: (params) => {
    return http.get("/cygx/reportSelection/history", params);
  },
  // 研选报告可见范围
  summaryManageVisibleRange: (params) => {
    return http.post("/cygx/summaryManage/visibleRange", params);
  },
  // 报告精选可见范围
  roadshowEssenceVisibleRange: (params) => {
    return http.post("/cygx/roadshowEssence/visibleRange", params);
  },
  // 本周研究汇总可见范围
  researchSummaryVisibleRange: (params) => {
    return http.post("/cygx/researchSummary/visibleRange", params);
  },
  // 上周研究汇总可见范围
  minutesSummaryVisibleRange: (params) => {
    return http.post("/cygx/minutesSummary/visibleRange", params);
  },
  // 深度报告精选可见范围
  reportSelectionVisibleRange: (params) => {
    return http.post("/cygx/reportSelection/visibleRange", params);
  },
  // 产品内测 行业
  reportChartPermissionFirstProduct: (params) => {
    return http.get("/cygx/chartPermission/firstProduct", params);
  },
  // 报告精选申请记录接口
  reportSelectionTarryList: (params) => {
    return http.get("/cygx/reportSelection/tarryList", params);
  },
  // 文章置顶、取消置顶
  summaryManageTopChange: (params) => {
    return http.post("/cygx/summaryManage/top_change", params);
  },
  
};

export default raiReport;
